import request, { ExtraConfig } from '/@/utils/request';

/**
 * @description 添加用户信息
 * @param {FormData} params
 **/
export const addUserInfoByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/user/add_user_info`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
/**
 * @description 修改用户密码
 * @param {FormData} params
 **/
export const changeUserPasswordByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/user/change_user_password`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
/**
 * @description 删除用户
 * @param {FormData} params
 **/
export const deleteUserInfoByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/user/delete_user_info`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
/**
 * @description 获取用户管理列表
 **/
export const getUserInfoListByPost = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/user/get_user_info_list`,
		method: 'post',
		params: {},
		data: {},

		...extraData,
	});
/**
 * @description 修改用户信息
 * @param {FormData} params
 **/
export const updateUserInfoByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/user/update_user_info`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
/**
 * @description 更新角色
 * @param {FormData} params
 **/
export const updateUserRolesByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/user/update_user_roles`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
